import axios from '@/axios/http';

const URL = {
    job: 'jobs/'
}

/** 得到岗位
 * @param {Object} params {dept_id:父级部门id} 
 */
export function getJob(params) {
    return axios({
        url: URL.job,
        method: 'get',
        params
    })
}

/** 插入岗位
 * @param {Object} data {name:岗位名字,dept_id:父级部门id}
 */
export function addJob(data) {
    return axios({
        url: URL.job,
        method: 'post',
        data
    })
}

/** 删除岗位
 * @param {Object} data {id:岗位id} 
 */
export function delJob(data) {
    return axios({
        url: URL.job,
        method: 'delete',
        data
    })
}