import axios from '@/axios/http';

const URL = {
    user: 'user/',
    login: 'login/',
    logout: 'logout/',
    report: 'dailyreport/',
    Dept2Jobs: 'Dept2Jobs/',
}

export function login(data) {
    return axios({
        url: URL.login,
        method: 'post',
        data: data
    })
}

export function logout() {
    return axios({
        url: URL.logout,
        method: 'post'
    })
}

export function getReport(id) {
    return axios({
        url: `${URL.report}${id}/`,
        method: 'get'
    })
}

export function allReport(data = null) {
    return axios({
        url: URL.report,
        methods: 'get',
        params: data == null ? "" : data
    })
}

export function addReport(data) {
    return axios({
        url: URL.report,
        method: 'post',
        data
    })
}

export function editReport(data) {
    return axios({
        url: `${URL.report}${data.id}/`,
        method: 'put',
        data: {
            title: data.title,
            content: data.content
        }
    })
}

export function delReport(id) {
    return axios({
        url: `${URL.report}${id}/`,
        method: 'delete'
    })
}

/**
 * 得到所有用户
 */
export function getUsers(params = {}) {
    return axios({
        url: URL.user,
        method: 'get',
        params
    })
}

/** 改变指定岗位下的用户
 * @param {Object} data {job_id:岗位,user_id:[](用户id组),dept_id:部门id}
 */
export function changeJobUsers(data) {
    return axios({
        url: URL.Dept2Jobs,
        method: 'post',
        data
    })
}